# Return cPanel theme header and footer HTML

This function returns header and footer HTML. You can use this HTML to create a page with the same visual appearance as your cPanel theme.

Endpoint: GET /Chrome/get_dom
Version: 11.137.9999.106
Security: BasicAuth

## Query parameters:

  - `page_title` (string, required)
    The title of the page to wrap in the theme's headers and footers.
    Example: "Test"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_dom"

  - `module` (string)
    The name of the module called.
    Example: "Chrome"

  - `result` (object)

  - `result.data` (object)

  - `result.data.footer` (string)
    The pages' footer.
    Example: "\n<!-- The Footer HTML of the user's assigned theme -->\n</html>\n\n"

  - `result.data.header` (string)
    The pages' header.
    Example: "\n\n<!DOCTYPE html>\n\n<html lang=\"en\" dir=\"ltr\">\n<!-- The Header HTML of the user's assigned theme -->"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


